## org.opengis.geometry.coordinate
Interface BilinearGrid

All Superinterfaces:
  GenericSurface, GriddedSurface, ParametricCurveSurface, SurfacePatch

    @UML(identifier="GM_BilinearGrid",
         specification=ISO_19107)
    public interface BilinearGrid

extends GriddedSurface

A gridded surface that uses line strings as the horizontal and vertical curves. This is not a polygonal surface, since each of the grid squares is a ruled surface, and not necessarily planar.

Since:
  GeoAPI 2.0
Version:
  ISO 19107

Method Summary

Methods inherited from interface GriddedSurface
`getColumns, getControlPoints, getRows`

Methods inherited from interface ParametricCurveSurface
`getHorizontalCurveType, getVerticalCurveType, horizontalCurve, surface, verticalCurve`

Methods inherited from interface SurfacePatch
`getBoundary, getInterpolation, getNumDerivativesOnBoundary, getSurface`

Methods inherited from interface GenericSurface
`getArea, getPerimeter, getUpNormal`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.